Błąd przy instalacji drugiego języka poprzez "Języki"

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 05 sie 2019, 20:52

Hej,

Nie jestem w stanie dodać drugiego języka dla systemu poprzez systemową aplikację "Języki". W moim przypadku jest to język hiszpański.
Po uruchomieniu Języki > Zainstaluj/usuń języki... wybieram z listy hiszpański i biorę zastosuj, zatwierdzam hasłem. Konsole swoje mieli.
Szybko zerkając widzę ciąg błędów o "nie można otworzyć pliku definicji lokalizacji". Hiszpański się pojawia jako zainstalowany, lecz nie
jest widoczny na liście powyżej w "Menu i okna", przy próbie "Zastosuj dla całego systemu". Aplikacja "Jęyki" się zawiesza.

https://zapodaj.net/76ff368771adf.png.html

Czy jest jakiś inny sposób zainstalowania języka z pominięciem aplikacji "Języki" Wiecie w czym może być problem? Dzięki! :)
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: kobrawerde » 05 sie 2019, 22:47

Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 05 sie 2019, 23:19

Kod: Zaznacz cały

mateusz@lenovo-ideapad:~$ sudo apt-get install language-pack-[es] language-pack-gnome-[es] language-pack-[es]-base language-pack-gnome-[es]-base
[sudo] hasło użytkownika mateusz: 
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Uwaga, wybieranie language-pack-eu-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sl-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-et-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sk-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sv-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-es-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-el dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-en dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-eo dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-es dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-et dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-eu dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-si dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sk dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sl dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sq dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sr dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sv dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-si-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sr-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-eo-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-sq-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-en-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-el-base dla wyrażenia "language-pack-[es]"
Uwaga, wybieranie language-pack-gnome-et-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-el dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-en dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-eo dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-es dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-et dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-eu dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-si dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sk dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sl dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sq dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sr dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sv dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sk-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sv-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-es-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-si-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sr-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-eo-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sq-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-en-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-el-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-eu-base dla wyrażenia "language-pack-gnome-[es]"
Uwaga, wybieranie language-pack-gnome-sl-base dla wyrażenia "language-pack-gnome-[es]"
E: Nie udało się odnaleźć pakietu language-pack-[es]-base
E: Couldn't find any package by glob 'language-pack-[es]-base'
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "language-pack-[es]-base"
E: Nie udało się odnaleźć pakietu language-pack-gnome-[es]-base
E: Couldn't find any package by glob 'language-pack-gnome-[es]-base'
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "language-pack-gnome-[es]-base"
O to chodziło prawda? I co teraz?
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: kobrawerde » 05 sie 2019, 23:36

Kod: Zaznacz cały

sudo apt install language-selector-common
sudo apt-get -y install `check-language-support -l es`
Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 05 sie 2019, 23:40

Hmm, wygląda na to, że wracamy z błędem do punktu wyjścia. Widzę język jako zainstalowany, lecz nie wyświetla mi się na liście, tak żebym mógł coś z nim zrobić.
Swoją drogą jak to możliwe, że podstawowa aplikacja systemu nie działa, nie znajduje pakietów dla danego języka? Przecież to nie jest coś co powinno sprawiać problemy.

Kod: Zaznacz cały

mateusz@lenovo-ideapad:~$ sudo apt install language-selector-common
[sudo] hasło użytkownika mateusz: 
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
language-selector-common is already the newest version (0.194.1).
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
mateusz@lenovo-ideapad:~$ sudo apt-get -y install `check-language-support -l es`
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  language-pack-es-base language-pack-gnome-es-base
Sugerowane pakiety:
  hunspell libreoffice-grammarcheck-es
Zostaną zainstalowane następujące NOWE pakiety:
  firefox-locale-es gnome-getting-started-docs-es gnome-user-docs-es
  hunspell-es hyphen-es language-pack-es language-pack-es-base
  language-pack-gnome-es language-pack-gnome-es-base libreoffice-help-es
  libreoffice-l10n-es mythes-es thunderbird-locale-es thunderbird-locale-es-ar
  thunderbird-locale-es-es
0 aktualizowanych, 15 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 0 B/24,0 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 81,5 MB miejsca na dysku.
Wybieranie wcześniej niewybranego pakietu language-pack-es-base.
(Odczytywanie bazy danych ... 169494 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do rozpakowania pakietu .../00-language-pack-es-base_1%3a19.04+20190412_all.deb ...
Rozpakowywanie pakietu language-pack-es-base (1:19.04+20190412) ...
Wybieranie wcześniej niewybranego pakietu language-pack-es.
Przygotowywanie do rozpakowania pakietu .../01-language-pack-es_1%3a19.04+20190412_all.deb ...
Rozpakowywanie pakietu language-pack-es (1:19.04+20190412) ...
Wybieranie wcześniej niewybranego pakietu language-pack-gnome-es-base.
Przygotowywanie do rozpakowania pakietu .../02-language-pack-gnome-es-base_1%3a19.04+20190412_all.deb ...
Rozpakowywanie pakietu language-pack-gnome-es-base (1:19.04+20190412) ...
Wybieranie wcześniej niewybranego pakietu language-pack-gnome-es.
Przygotowywanie do rozpakowania pakietu .../03-language-pack-gnome-es_1%3a19.04+20190412_all.deb ...
Rozpakowywanie pakietu language-pack-gnome-es (1:19.04+20190412) ...
Wybieranie wcześniej niewybranego pakietu firefox-locale-es.
Przygotowywanie do rozpakowania pakietu .../04-firefox-locale-es_68.0.1+build1-0ubuntu0.19.04.1_amd64.deb ...
Rozpakowywanie pakietu firefox-locale-es (68.0.1+build1-0ubuntu0.19.04.1) ...
Wybieranie wcześniej niewybranego pakietu gnome-getting-started-docs-es.
Przygotowywanie do rozpakowania pakietu .../05-gnome-getting-started-docs-es_3.32.0-0ubuntu1_all.deb ...
Rozpakowywanie pakietu gnome-getting-started-docs-es (3.32.0-0ubuntu1) ...
Wybieranie wcześniej niewybranego pakietu gnome-user-docs-es.
Przygotowywanie do rozpakowania pakietu .../06-gnome-user-docs-es_3.32.0+git20190406-0ubuntu1_all.deb ...
Rozpakowywanie pakietu gnome-user-docs-es (3.32.0+git20190406-0ubuntu1) ...
Wybieranie wcześniej niewybranego pakietu hunspell-es.
Przygotowywanie do rozpakowania pakietu .../07-hunspell-es_1%3a6.2.0-1_all.deb ...
Rozpakowywanie pakietu hunspell-es (1:6.2.0-1) ...
Wybieranie wcześniej niewybranego pakietu hyphen-es.
Przygotowywanie do rozpakowania pakietu .../08-hyphen-es_1%3a6.2.0-1_all.deb ...
Rozpakowywanie pakietu hyphen-es (1:6.2.0-1) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-l10n-es.
Przygotowywanie do rozpakowania pakietu .../09-libreoffice-l10n-es_1%3a6.2.5-0ubuntu0.19.04.1_all.deb ...
Rozpakowywanie pakietu libreoffice-l10n-es (1:6.2.5-0ubuntu0.19.04.1) ...
Wybieranie wcześniej niewybranego pakietu libreoffice-help-es.
Przygotowywanie do rozpakowania pakietu .../10-libreoffice-help-es_1%3a6.2.5-0ubuntu0.19.04.1_all.deb ...
Rozpakowywanie pakietu libreoffice-help-es (1:6.2.5-0ubuntu0.19.04.1) ...
Wybieranie wcześniej niewybranego pakietu mythes-es.
Przygotowywanie do rozpakowania pakietu .../11-mythes-es_1%3a6.2.0-1_all.deb ...
Rozpakowywanie pakietu mythes-es (1:6.2.0-1) ...
Wybieranie wcześniej niewybranego pakietu thunderbird-locale-es.
Przygotowywanie do rozpakowania pakietu .../12-thunderbird-locale-es_1%3a60.8.0+build1-0ubuntu0.19.04.1_amd64.deb ...
Rozpakowywanie pakietu thunderbird-locale-es (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Wybieranie wcześniej niewybranego pakietu thunderbird-locale-es-ar.
Przygotowywanie do rozpakowania pakietu .../13-thunderbird-locale-es-ar_1%3a60.8.0+build1-0ubuntu0.19.04.1_all.deb ...
Rozpakowywanie pakietu thunderbird-locale-es-ar (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Wybieranie wcześniej niewybranego pakietu thunderbird-locale-es-es.
Przygotowywanie do rozpakowania pakietu .../14-thunderbird-locale-es-es_1%3a60.8.0+build1-0ubuntu0.19.04.1_all.deb ...
Rozpakowywanie pakietu thunderbird-locale-es-es (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu thunderbird-locale-es (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu mythes-es (1:6.2.0-1) ...
Konfigurowanie pakietu gnome-getting-started-docs-es (3.32.0-0ubuntu1) ...
Konfigurowanie pakietu libreoffice-l10n-es (1:6.2.5-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu gnome-user-docs-es (3.32.0+git20190406-0ubuntu1) ...
Konfigurowanie pakietu thunderbird-locale-es-es (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu thunderbird-locale-es-ar (1:60.8.0+build1-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu hyphen-es (1:6.2.0-1) ...
Konfigurowanie pakietu firefox-locale-es (68.0.1+build1-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu hunspell-es (1:6.2.0-1) ...
Konfigurowanie pakietu libreoffice-help-es (1:6.2.5-0ubuntu0.19.04.1) ...
Konfigurowanie pakietu language-pack-es (1:19.04+20190412) ...
Konfigurowanie pakietu language-pack-gnome-es (1:19.04+20190412) ...
Konfigurowanie pakietu language-pack-gnome-es-base (1:19.04+20190412) ...
Konfigurowanie pakietu language-pack-es-base (1:19.04+20190412) ...
Generating locales (this might take a while)...
  es_AR.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_AR': Nie ma takiego pliku ani katalogu
 done
  es_BO.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_BO': Nie ma takiego pliku ani katalogu
 done
  es_CL.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_CL': Nie ma takiego pliku ani katalogu
 done
  es_CO.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_CO': Nie ma takiego pliku ani katalogu
 done
  es_CR.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_CR': Nie ma takiego pliku ani katalogu
 done
  es_CU.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_CU': Nie ma takiego pliku ani katalogu
 done
  es_DO.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_DO': Nie ma takiego pliku ani katalogu
 done
  es_EC.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_EC': Nie ma takiego pliku ani katalogu
 done
  es_ES.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_ES': Nie ma takiego pliku ani katalogu
 done
  es_GT.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_GT': Nie ma takiego pliku ani katalogu
 done
  es_HN.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_HN': Nie ma takiego pliku ani katalogu
 done
  es_MX.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_MX': Nie ma takiego pliku ani katalogu
 done
  es_NI.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_NI': Nie ma takiego pliku ani katalogu
 done
  es_PA.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_PA': Nie ma takiego pliku ani katalogu
 done
  es_PE.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_PE': Nie ma takiego pliku ani katalogu
 done
  es_PR.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_PR': Nie ma takiego pliku ani katalogu
 done
  es_PY.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_PY': Nie ma takiego pliku ani katalogu
 done
  es_SV.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_SV': Nie ma takiego pliku ani katalogu
 done
  es_US.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_US': Nie ma takiego pliku ani katalogu
 done
  es_UY.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_UY': Nie ma takiego pliku ani katalogu
 done
  es_VE.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_VE': Nie ma takiego pliku ani katalogu
 done
Generation complete.
Przetwarzanie wyzwalaczy pakietu libreoffice-common (1:6.2.5-0ubuntu0.19.04.1)...
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: kobrawerde » 05 sie 2019, 23:56

Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 06 sie 2019, 00:10

Robi się ciekawie.. Dla pewności skopiowałem wszystkie z ES, lecz efekt poniżej.

Kod: Zaznacz cały

mateusz@lenovo-ideapad:~$ sudo locale-gen es_AR.UTF-8 UTF-8
[sudo] hasło użytkownika mateusz: 
ciekaNiestety, proszę spróbować ponownie.
[sudo] hasło użytkownika mateusz: 
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_AR.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_AR ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_BO.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_BO ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CL.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CL ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CO.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CO ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CR.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CR ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_CU UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_DO.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_DO ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_EC.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_EC ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_ES.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_ES ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_ES@euro ISO-8859-15
Error: 'ISO-8859-15' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_GT.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_GT ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_HN.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_HN ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_MX.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_MX ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_NI.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_NI ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PA.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PA ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PE.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PE ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PR.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PR ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PY.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_PY ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_SV.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_SV ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_US.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_US ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_UY.UTF-8 UTF-8
Error: 'UTF-8' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo locale-gen es_UY ISO-8859-1
Error: 'ISO-8859-1' is not a supported language or locale
mateusz@lenovo-ideapad:~$ sudo es_VE.UTF-8 UTF-8
sudo: es_VE.UTF-8: nie znaleziono polecenia
mateusz@lenovo-ideapad:~$ sudo es_VE ISO-8859-1^C
mateusz@lenovo-ideapad:~$ 
Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 06 sie 2019, 00:16

Kod: Zaznacz cały

mateusz@lenovo-ideapad:~$ sudo locale-gen es_ES
[sudo] hasło użytkownika mateusz: 
Generating locales (this might take a while)...
  es_ES.ISO-8859-1...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_ES': Nie ma takiego pliku ani katalogu
 done
Generation complete.
mateusz@lenovo-ideapad:~$ sudo locale-gen es_ES.UTF-8
Generating locales (this might take a while)...
  es_ES.UTF-8...[error] nie mo?na otworzy? pliku definicji lokalizacji `es_ES': Nie ma takiego pliku ani katalogu
 done
Generation complete.
mateusz@lenovo-ideapad:~$ sudo dpkg-reconfigure locales
Generating locales (this might take a while)...
  en_AG.UTF-8... done
  en_AU.UTF-8... done
  en_BW.UTF-8... done
  en_CA.UTF-8... done
  en_DK.UTF-8...[error] cannot open locale definition file `da_DK': No such file or directory
 done
  en_GB.UTF-8... done
  en_HK.UTF-8... done
  en_IE.UTF-8... done
  en_IL.UTF-8...[error] cannot open locale definition file `he_IL': No such file or directory
 done
  en_IN.UTF-8...[error] cannot open locale definition file `hi_IN': No such file or directory
 done
  en_NG.UTF-8...[error] cannot open locale definition file `da_DK': No such file or directory
 done
  en_NZ.UTF-8... done
  en_PH.UTF-8...[error] cannot open locale definition file `tl_PH': No such file or directory
 done
  en_SG.UTF-8... done
  en_US.UTF-8... done
  en_ZA.UTF-8... done
  en_ZM.UTF-8... done
  en_ZW.UTF-8... done
  es_AR.ISO-8859-1...[error] cannot open locale definition file `es_AR': No such file or directory
 done
  es_AR.UTF-8...[error] cannot open locale definition file `es_AR': No such file or directory
 done
  es_BO.ISO-8859-1...[error] cannot open locale definition file `es_BO': No such file or directory
 done
  es_BO.UTF-8...[error] cannot open locale definition file `es_BO': No such file or directory
 done
  es_CL.ISO-8859-1...[error] cannot open locale definition file `es_CL': No such file or directory
 done
  es_CL.UTF-8...[error] cannot open locale definition file `es_CL': No such file or directory
 done
  es_CO.ISO-8859-1...[error] cannot open locale definition file `es_CO': No such file or directory
 done
  es_CO.UTF-8...[error] cannot open locale definition file `es_CO': No such file or directory
 done
  es_CR.ISO-8859-1...[error] cannot open locale definition file `es_CR': No such file or directory
 done
  es_CR.UTF-8...[error] cannot open locale definition file `es_CR': No such file or directory
 done
  es_CU.UTF-8...[error] cannot open locale definition file `es_CU': No such file or directory
 done
  es_DO.ISO-8859-1...[error] cannot open locale definition file `es_DO': No such file or directory
 done
  es_DO.UTF-8...[error] cannot open locale definition file `es_DO': No such file or directory
 done
  es_EC.ISO-8859-1...[error] cannot open locale definition file `es_EC': No such file or directory
 done
  es_EC.UTF-8...[error] cannot open locale definition file `es_EC': No such file or directory
 done
  es_ES.ISO-8859-1...[error] cannot open locale definition file `es_ES': No such file or directory
 done
  es_ES.UTF-8...[error] cannot open locale definition file `es_ES': No such file or directory
 done
  es_ES.ISO-8859-15@euro...[error] cannot open locale definition file `es_ES@euro': No such file or directory
 done
  es_GT.ISO-8859-1...[error] cannot open locale definition file `es_GT': No such file or directory
 done
  es_GT.UTF-8...[error] cannot open locale definition file `es_GT': No such file or directory
 done
  es_HN.ISO-8859-1...[error] cannot open locale definition file `es_HN': No such file or directory
 done
  es_HN.UTF-8...[error] cannot open locale definition file `es_HN': No such file or directory
 done
  es_MX.ISO-8859-1...[error] cannot open locale definition file `es_MX': No such file or directory
 done
  es_MX.UTF-8...[error] cannot open locale definition file `es_MX': No such file or directory
 done
  es_NI.ISO-8859-1...[error] cannot open locale definition file `es_NI': No such file or directory
 done
  es_NI.UTF-8...[error] cannot open locale definition file `es_NI': No such file or directory
 done
  es_PA.ISO-8859-1...[error] cannot open locale definition file `es_PA': No such file or directory
 done
  es_PA.UTF-8...[error] cannot open locale definition file `es_PA': No such file or directory
 done
  es_PE.ISO-8859-1...[error] cannot open locale definition file `es_PE': No such file or directory
 done
  es_PE.UTF-8...[error] cannot open locale definition file `es_PE': No such file or directory
 done
  es_PR.ISO-8859-1...[error] cannot open locale definition file `es_PR': No such file or directory
 done
  es_PR.UTF-8...[error] cannot open locale definition file `es_PR': No such file or directory
 done
  es_PY.ISO-8859-1...[error] cannot open locale definition file `es_PY': No such file or directory
 done
  es_PY.UTF-8...[error] cannot open locale definition file `es_PY': No such file or directory
 done
  es_SV.ISO-8859-1...[error] cannot open locale definition file `es_SV': No such file or directory
 done
  es_SV.UTF-8...[error] cannot open locale definition file `es_SV': No such file or directory
 done
  es_US.ISO-8859-1...[error] cannot open locale definition file `es_US': No such file or directory
 done
  es_US.UTF-8...[error] cannot open locale definition file `es_US': No such file or directory
 done
  es_UY.ISO-8859-1...[error] cannot open locale definition file `es_UY': No such file or directory
 done
  es_UY.UTF-8...[error] cannot open locale definition file `es_UY': No such file or directory
 done
  es_VE.UTF-8...[error] cannot open locale definition file `es_VE': No such file or directory
 done
  pl_PL.UTF-8... done
Generation complete.
*** update-locale: Error: invalid locale settings:  LC_MEASUREMENT="pl_PL.UTF-8" LANGUAGE="pl:en" LC_TELEPHONE="pl_PL.UTF-8" LANG=es_ES.UTF-8 LC_TIME="pl_PL.UTF-8" LC_ADDRESS="pl_PL.UTF-8" LC_NAME="pl_PL.UTF-8" LC_NUMERIC="pl_PL.UTF-8" LC_PAPER="pl_PL.UTF-8" LC_IDENTIFICATION="pl_PL.UTF-8" LC_MONETARY="pl_PL.UTF-8"
mateusz@lenovo-ideapad:~$ sudo update-locale LANG=es_ES.UTF-8
*** update-locale: Error: invalid locale settings:  LANGUAGE="pl:en" LC_IDENTIFICATION="pl_PL.UTF-8" LC_MONETARY="pl_PL.UTF-8" LC_NUMERIC="pl_PL.UTF-8" LANG=es_ES.UTF-8 LC_ADDRESS="pl_PL.UTF-8" LC_MEASUREMENT="pl_PL.UTF-8" LC_PAPER="pl_PL.UTF-8" LC_NAME="pl_PL.UTF-8" LC_TELEPHONE="pl_PL.UTF-8" LC_TIME="pl_PL.UTF-8"
mateusz@lenovo-ideapad:~$ 
Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 06 sie 2019, 00:22

Hmm zawsze mogę postawić ubuntu obok ubuntu, tylko te drugie zainstalować od razu w wersji hiszpańskiej. ;)
Sam już nie wiem co jest bardziej idiotyczne, czy mój pomysł, czy problem z dodaniem języka. Ubuntu nie przestaje zadziwiać.
Awatar użytkownika
kobrawerde
Zakręcona Traszka
Zakręcona Traszka
Posty: 548
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: MATE
Architektura: x86_64

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: kobrawerde » 06 sie 2019, 21:46

może taki fix ...ale oczywiście dotyczący języka es
https://askubuntu.com/questions/463209/ ... cale-error
niby powinno to działać normalnie tzn :
https://askubuntu.com/questions/509174/ ... to-spanish
Filippexo
Sędziwy Jeż
Sędziwy Jeż
Posty: 79
Rejestracja: 25 mar 2015, 19:36
Płeć: Mężczyzna
Wersja Ubuntu: 19.04
Środowisko graficzne: GNOME

Re: Błąd przy instalacji drugiego języka poprzez "Języki"

Post autor: Filippexo » 13 sie 2019, 00:56

Hmm, dziękuję za udzieloną pomoc. Finalnie poddałem się z tym błędem i skorzystałem z innego systemu operacyjnego.
Hmm, takie podstawowe funkcje jak języki, po prostu powinny działać. To system jest dla mnie a nie ja dla systemu.
Oczywiście wciąż będę korzystać z Ubuntu oraz innych dystrybucji, siła przyzwyczajenia :) Dzięki jeszcze raz.

problem nierozwiązany, nieaktualny
ODPOWIEDZ

Wróć do „Przedszkole Linuksa”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 45 gości